@echo off
if "%NOESIS_LOCATION%"=="" set NOESIS_LOCATION=C:\Other\Util\Noesis

if not exist "%NOESIS_LOCATION%\Noesis.exe" (
	echo ERROR: Cannot locate Noesis! Set your NOESIS_LOCATION environment variable.
	goto BATCH_END
)

if not exist "_humanoid.gla" (
	echo ERROR: Expected to find _humanoid.gla somewhere on path, Noesis needs this to preserve skeleton.
	goto BATCH_END
)

"%NOESIS_LOCATION%\Noesis.exe" ?cmode model.glm model_lod0.fbx -modelindex 0
"%NOESIS_LOCATION%\Noesis.exe" ?cmode model.glm model_lod1.fbx -modelindex 1
"%NOESIS_LOCATION%\Noesis.exe" ?cmode model.glm model_lod2.fbx -modelindex 2
"%NOESIS_LOCATION%\Noesis.exe" ?cmode model.glm model_lod3.fbx -modelindex 3
"%NOESIS_LOCATION%\Noesis.exe" ?cmode model.glm model_lod4.fbx -modelindex 4

:BATCH_END
pause
